IEEE80211_GET_TKIP_P(9)

NAME
ieee80211_get_tkip_p1k - get a TKIP phase 1 key

SYNOPSIS

void ieee80211_get_tkip_p1k(struct ieee80211_key_conf * keyconf, struct sk_buff * skb, u16 * p1k);

ARGUMENTS

keyconf
    the parameter passed with the set key

skb
    the packet to take the IV32 value from that will be encrypted with this P1K

p1k
    a buffer to which the key will be written, as 5 u16 values

DESCRIPTION

This function returns the TKIP phase 1 key for the IV32 taken from the given packet.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT